<configs>

<append xpath="/entity_classes">  
  
    <entity_class name="zombieFireBoss" extends="zombieTemplateMale"> 
	<property name="Mesh" value="Zombies/zombieStandardCopRagdoll"/>
	<property name="ReplaceMaterial0" value="particleeffects/models/materials/gib_red"/>
	<property name="ReplaceMaterial1" value="particleeffects/materials/p_spark_electricity"/>		
	<property name="WalkType" value="1"/>
	<property name="SizeScale" value="1.3"/>		
	<property name="Mass" value="500"/>		
	<property name="AITask-1" value="BreakBlock"/>
	<property name="AITask-2" value="RangedAttackTarget" param1="1,4,5"/><!-- type,cooldown,duration -->
	<property name="AITask-3" value="ApproachAndAttackTarget" param1="EntityPlayer"/>
	<property name="AITask-4" value="ApproachSpot"/>
	<property name="AITask-5" value="Look"/>
	<property name="AITask-6" value="Wander"/>
	<property name="AITask-7" value=""/><!-- Marks end, so we don't inheirit -->	
	<property name="SoundRandom" value="Enemies/Burnt_Zombie/zombieburntroam"/>
    <property name="SoundSpawn" value="Ambient_Loops/a_fire_embersmoke_sm_lp"/>
	<property name="SoundAlert" value="Enemies/Burnt_Zombie/zombieburntalert"/>
	<property name="SoundAttack" value="Enemies/Burnt_Zombie/zombieburntattack"/>
	<property name="SoundHurt" value="Enemies/Burnt_Zombie/zombieburntpain"/>
	<property name="SoundDeath" value="Enemies/Burnt_Zombie/zombieburntdeath"/>
	<property name="SoundSense" value="Enemies/Burnt_Zombie/zombieburntsense"/>
	<property name="SoundFootstepModifier" value="Enemies/Burnt_Zombie/zombieburntfootstep"/>

	<property name="PainResistPerHit" value="1"/>

	<!-- Gameplay -->
	<property name="HandItem" value="meleehandZombieBurningBoss"/>
	<property name="ExperienceGain" value="2000"/> <!-- XP strong -->	
	<effect_group name="Base Effects">	
		<passive_effect name="HealthMax" operation="base_set" value="1200"/>
		<passive_effect name="HealthMax" operation="perc_set" value="1"/> <!-- Zombie HP scale -->
	</effect_group>
</entity_class>	 

<entity_class name="zombieBikerGiant" extends="zombieTemplateMale">
		<property name="Mesh" value="Zombies/zombieStandardBikerRagdoll"/>
		<property name="WalkType" value="7"/>		
	<!-- Gameplay -->
	<property name="HandItem" value="meleeHandZombieGiant"/>
	<property name="ReplaceMaterial0" value="entities/sandbags/sandbag"/>		
	<property name="MoveSpeedAggro" value=".5, 1.35"/>	
	<property name="SightRange" value="150"/>	
	<property name="SizeScale" value="1.9"/>	
	<property name="Mass" value="900"/>	
	<property name="SoundFootstepModifier" value="Animals/Bear/bear_footstep"/>	
	<property name="ExperienceGain" value="12000"/> <!-- XP strong -->
	<property name="LootDropEntityClass" value="EntityLootContainerStrong"/>
	<effect_group name="Base Effects">
		<passive_effect name="HealthMax" operation="base_set" value="7000"/>
		<passive_effect name="HealthMax" operation="perc_set" value="1"/> <!-- Zombie HP scale -->
		<passive_effect name="PhysicalDamageResist" operation="base_set" value="60"/>
	</effect_group>
</entity_class>	

<entity_class name="zombieMoePuker" extends="zombieMoe">  
	<property name="Tags" value="entity,zombie,walker"/>
	<property name="Mesh" value="Zombies/zombieStandardMoeRagdoll"/>
	<property name="AvatarController" value="AvatarZombie01Controller"/>
	<property name="ModelType" value="Standard"/>	
	<property name="ReplaceMaterial0" value="particleeffects/models/materials/p_dirt"/>	
	<property name="WalkType" value="1"/>
	<property name="Class" value="EntityZombieCop"/>	
	<property name="RightHandJointName" value="Jaw" />
	<property name="Mass" value="210"/>
	<property name="Weight" value="70"/>
	<property name="PushFactor" value="20"/>	
	<property name="AITask-1" value="BreakBlock"/>
	<property name="AITask-2" value="RangedAttackTarget" param1="1,4,5"/><!-- type,cooldown,duration -->
	<property name="AITask-3" value="ApproachAndAttackTarget" param1="EntityPlayer"/>
	<property name="AITask-4" value="ApproachSpot"/>
	<property name="AITask-5" value="Look"/>
	<property name="AITask-6" value="Wander"/>
	<property name="AITask-7" value=""/><!-- Marks end, so we don't inheirit -->	
	<property name="RootMotion" value="true"/>
	<property name="HasDeathAnim" value="true"/>
	<property name="TintMaterial2" value="41,38,34"/>
	<property name="SoundRandom" value="Enemies/Base_Zombie_Male2/zombiemale2roam"/>
	<property name="SoundAlert" value="Enemies/Base_Zombie_Male2/zombiemale2alert"/>
	<property name="SoundSense" value="Enemies/Base_Zombie_Male2/zombiemale2sense"/>
	<property name="SoundHurt" value="Enemies/Base_Zombie_Male2/zombiemale2pain"/>
	<property name="SoundDeath" value="Enemies/Base_Zombie_Male2/zombiemale2death"/>
	<property name="SoundAttack" value="Enemies/Base_Zombie_Male2/zombiemale2attack"/>

	<!-- Gameplay -->
	<property name="HandItem" value="meleehandZombiePuke" />
	<property name="Explosion.ParticleIndex" value="1"/>
	<property name="Explosion.RadiusBlocks" value="4"/>
	<property name="Explosion.RadiusEntities" value="4"/>
	<property name="Explosion.BlockDamage" value="555"/>
	<property name="Explosion.EntityDamage" value="55"/>
	<property name="Explosion.DamageBonus.earth" value="555"/>	
	<property name="JumpMaxDistance" value="1.4, 1.5"/>
	<property name="ExperienceGain" value="1005"/> <!-- XP strong -->

	<effect_group name="Base Effects">
		<passive_effect name="HealthMax" operation="base_set" value="400"/>
		<passive_effect name="HealthMax" operation="perc_set" value="1"/> <!-- Zombie HP scale -->
	</effect_group>
</entity_class>		

<entity_class name="zombieMoePukerFeral" extends="zombieMoePuker">  
	<property name="Tags" value="entity,zombie,walker,feral"/>
	<property name="ReplaceMaterial0" value="particleeffects/models/materials/p_dirt"/>		
	<property name="ReplaceMaterial1" value="entities/zombies/materials/feral_eye"/>

	<!-- Gameplay -->
	<property name="Explosion.ParticleIndex" value="1"/>
	<property name="Explosion.RadiusBlocks" value="6"/>
	<property name="Explosion.RadiusEntities" value="6"/>
	<property name="Explosion.BlockDamage" value="1500"/>
	<property name="Explosion.EntityDamage" value="70"/>
	<property name="Explosion.DamageBonus.earth" value="1500"/>	
	<property name="JumpMaxDistance" value="4, 8"/>
	<property name="MoveSpeedAggro" value=".5, 1.35"/>

	<property name="HandItem" value="meleeHandZombieStrongFeralPuker"/>

	<property name="ExperienceGain" value="1400"/> <!-- XP strong feral -->
	<property name="LootDropProb" value=".03"/> <!-- Feral -->
	<property name="LootDropEntityClass" value="EntityLootContainerStrong"/>
	<effect_group name="Base Effects">
	 <passive_effect name="HealthMax" operation="base_set" value="499"/>
	 <passive_effect name="HealthMax" operation="perc_set" value="1"/> <!-- Zombie HP scale -->
	 <passive_effect name="EntityDamage" operation="perc_add" value="0"/> <!-- Feral damage -->
	</effect_group>		
</entity_class> 

<!-- custom zombieMoePukerRadiated -->
<entity_class name="zombieMoePukerRadiated" extends="zombieMoePukerFeral">
	<property name="Tags" value="entity,zombie,walker,feral,radiated"/>
	<property name="ReplaceMaterial0" value="entities/zombies/materials/moe_radiated"/>
	<!--<property name="ParticleOnSpawn" value="ParticleEffects/RadiatedParticlesOnMesh" param1="SetShapeToMesh0"/>-->
	<!-- Gameplay -->
	<property name="ExperienceGain" value="1850"/> <!-- XP strong radiated -->
	<property name="LootDropProb" value="0.06"/> <!-- Radiated -->
	<effect_group name="Base Effects">
		<passive_effect name="HealthMax" operation="base_set" value="1199"/>
		<passive_effect name="HealthMax" operation="perc_set" value="1"/> <!-- Zombie HP scale -->
		<passive_effect name="EntityDamage" operation="perc_add" value="0"/> <!-- Feral damage -->
		<triggered_effect trigger="onOtherDamagedSelf" action="ModifyCVar" target="self" cvar="RadiatedRegenAmount" operation="set" value="8"/>
		<triggered_effect trigger="onOtherDamagedSelf" action="AddBuff" target="self" buff="buffRadiatedRegen"/>
	</effect_group>
</entity_class>
	
<entity_class name="zombieBurningMan" extends="zombieTemplateMale">
	<property name="Tags" value="entity,zombie,walker"/>		
	<property name="Mesh" value="Zombies/ZombieStandardBurntRagdoll"/>
	<property name="ReplaceMaterial0" value="entities/lighting/torch_wall_holder"/>	
	<property name="WalkType" value="7"/>
	<property name="Mass" value="160"/>
	<property name="AITask-1" value="BreakBlock"/>
	<property name="AITask-2" value="RangedAttackTarget" param1="1,4,5"/><!-- type,cooldown,duration -->
	<property name="AITask-3" value="ApproachAndAttackTarget" param1="EntityPlayer"/>
	<property name="AITask-4" value="ApproachSpot"/>
	<property name="AITask-5" value="Look"/>
	<property name="AITask-6" value="Wander"/>
	<property name="AITask-7" value=""/><!-- Marks end, so we don't inheirit -->	
	<property name="SoundRandom" value="Enemies/Burnt_Zombie/zombieburntroam"/>
  <property name="SoundSpawn" value="Ambient_Loops/a_fire_embersmoke_sm_lp"/>
	<property name="SoundAlert" value="Enemies/Burnt_Zombie/zombieburntalert"/>
	<property name="SoundAttack" value="Enemies/Burnt_Zombie/zombieburntattack"/>
	<property name="SoundHurt" value="Enemies/Burnt_Zombie/zombieburntpain"/>
	<property name="SoundDeath" value="Enemies/Burnt_Zombie/zombieburntdeath"/>
	<property name="SoundSense" value="Enemies/Burnt_Zombie/zombieburntsense"/>
	<property name="SoundFootstepModifier" value="Enemies/Burnt_Zombie/zombieburntfootstep"/>

	<property name="PainResistPerHit" value="1"/>

	<!-- Gameplay -->
	<property name="HandItem" value="meleehandZombieBurningSpitter"/>
	<property name="HandItemCrawler" value="meleeHandZombieBurningCrawler"/> <!-- override the default replacement of meleeHandZombie02 with a specific hand item -->	
	<effect_group name="Base Effects">		
		<passive_effect name="HealthMax" operation="base_set" value="145"/>
		<passive_effect name="HealthMax" operation="perc_set" value="1"/> <!-- Zombie HP scale -->
	</effect_group>
</entity_class>	

<entity_class name="zombieScreamerBoss" extends="zombieTemplateMale">  
    <property name="SizeScale" value="1.4"/>	
    <property name="Tags" value="entity,zombie,walker"/>
    <property name="Mesh" value="Zombies/zombieStandardScreamerRagdoll"/>
	<property name="ReplaceMaterial0" value="particleeffects/models/materials/p_glass"/>
	<property name="AITask-1" value="BreakBlock"/>
	<property name="AITask-2" value="RangedAttackTarget" param1="1,4,7"/><!-- type,cooldown,duration -->
	<property name="AITask-3" value="ApproachAndAttackTarget" param1="EntityPlayer"/>
	<property name="AITask-4" value="ApproachSpot"/>
	<property name="AITask-5" value="Look"/>
	<property name="AITask-6" value="Wander"/>
	<property name="AITask-7" value=""/><!-- Marks end, so we don't inheirit -->		
	<property name="SoundRandom" value="Enemies/Base_Zombie_Female/zombiefemalescoutroam"/>
	<property name="SoundAlert" value="Enemies/Scout_Zombie/zombiefemalescoutalert"/>
	<property name="SoundAttack" value="Enemies/Base_Zombie_Female/zombiefemalescoutattack"/>
	<property name="SoundHurt" value="Enemies/Base_Zombie_Female/zombiefemalescoutpain"/>
	<property name="SoundDeath" value="Enemies/Base_Zombie_Female/zombiefemalescoutdeath"/>
	<property name="SoundSense" value="Enemies/Base_Zombie_Female/zombiefemalescoutsense"/>
	<property name="AvatarController" value="AvatarZombie01Controller"/>
	<property name="ModelType" value="Standard"/>
	<property name="WalkType" value="3"/>
	<property name="Mass" value="110"/>
	<property name="RootMotion" value="true"/>
	<property name="HasDeathAnim" value="true"/>
	<property name="AIPathCostScale" value=".5, .6"/>

	<!-- Gameplay -->
	<property name="HandItem" value="meleeHandZombieScreamerBoss"/>
	<property name="JumpMaxDistance" value="8, 16"/>	
	<property name="ExperienceGain" value="1234"/> <!-- XP grunt feral -->	

	<effect_group name="Base Effects">
		<passive_effect name="HealthMax" operation="base_set" value="1001"/>
		<passive_effect name="HealthMax" operation="perc_set" value="1"/> <!-- Zombie HP scale -->
	</effect_group>
</entity_class>	

<entity_class name="animalZombiePup" extends="animalZombieDog">
	<property name="Tags" value="entity,animal,hostile"/>
	<property name="SizeScale" value="0.65"/>	
	<property name="Mass" value="65"/>		
	<property name="Prefab" value="/Entities/Animals/Wolf/animalStandardDogZombieRagdoll"/>
	<property name="ReplaceMaterial0" value="particleeffects/models/materials/p_dirt"/>		
	<property name="Class" value="EntityZombieDog"/>
	<property name="SoundRandomTime" value="45.0"/>
	<property name="SoundAlertTime" value="25.0"/>
	<property name="SoundRandom" value="Enemies/Zombie_Dogs/zombiedogroam"/>
	<property name="SoundAlert" value="Enemies/Zombie_Dogs/zombiedogalert"/>
	<property name="SoundHurt" value="Enemies/Zombie_Dogs/zombiedogpain"/>
	<property name="SoundDeath" value="Enemies/Zombie_Dogs/zombiedogdeath"/>
	<property name="SoundAttack" value="Enemies/Zombie_Dogs/zombiedogattack"/>
	<property name="SoundSense" value="Enemies/Zombie_Dogs/zombiedogsense"/>
	<property name="SoundGiveUp" value="Enemies/Zombie_Dogs/zombiedoggiveup"/>	
	<property name="SightRange" value="70"/>	
	<!-- Gameplay -->
	<property name="HandItem" value="meleeHandAnimalPup"/>
	<property name="MoveSpeed" value="6"/>
	<property name="MoveSpeedAggro" value="6, 8"/>
	<property name="MoveSpeedPanic" value="8"/>	

	<property name="ExperienceGain" value="300"/> <!-- XP strong -->
	<property name="DeadBodyHitPoints" value="450"/>
	<drop event="Harvest" name="foodRawMeat" count="0" tool_category="Butcher"/>
	<drop event="Harvest" name="foodRawMeat" tag="butcherHarvest" count="15"/> <!-- animalDireWolf -->
	<drop event="Harvest" name="resourceLeather" tag="butcherHarvest" count="6"/>
	<drop event="Harvest" name="resourceAnimalFat" tag="butcherHarvest" count="3"/>
	<drop event="Harvest" name="resourceFemur" tag="butcherHarvest" count="1"/>
	<drop event="Harvest" name="resourceFemur" tag="allToolsHarvest" count="1"/>

	<effect_group name="Base Effects">
		<passive_effect name="HealthMax" operation="base_set" value="70"/>
		<passive_effect name="HealthMax" operation="perc_add" value="0"/> <!-- Animal HP scale -->
	</effect_group>
</entity_class>

<entity_class name="zombieShocker" extends="zombieTemplateMale">
	<property name="Tags" value="entity,zombie,walker"/>
	<property name="ReplaceMaterial0" value="particleeffects/models/materials/electrical_arc"/>	
	<property name="ReplaceMaterial1" value="particleeffects/materials/p_spark_electricity"/>		
	<property name="Mesh" value="Zombies/zombieStandardFeralRagdoll"/> 
	<property name="WalkType" value="5"/>
	<property name="AIPathCostScale" value=".9, 1"/>
	<property name="AITask-1" value="BreakBlock"/>
	<property name="AITask-2" value="RangedAttackTarget" param1="1,4,8"/><!-- type,cooldown,duration -->
	<property name="AITask-3" value="ApproachAndAttackTarget" param1="EntityPlayer"/>
	<property name="AITask-4" value="ApproachSpot"/>
	<property name="AITask-5" value="Look"/>
	<property name="AITask-6" value="Wander"/>
	<property name="AITask-7" value=""/><!-- Marks end, so we don't inheirit -->
		<property name="ExperienceGain" value="555"/>
	<property name="HandItem" value="meleehandZombieShocker"/>
	<effect_group name="Base Effects">		
		<passive_effect name="HealthMax" operation="base_set" value="777"/>
		<passive_effect name="HealthMax" operation="perc_set" value="1"/> <!-- Zombie HP scale -->
	</effect_group>
</entity_class>

<entity_class name="animalAnaconda" extends="animalSnake">
	<property name="Tags" value="entity,animal,hostile"/>
	<property name="EntityType" value="Animal"/>
	<property name="ReplaceMaterial0" value="particleeffects/models/materials/radius"/>		
	<property name="Class" value="EntityAnimalSnake"/>
	<property name="Parent" value="Enemies"/>
	<property name="PhysicsBody" value="snake"/>
	<property name="SizeScale" value="5.0"/>	
	<property name="Mass" value="1000"/>
	<property name="Weight" value="700"/>

	<property name="SoundHurt" value="Animals/Snake/snakepain"/>
	<property name="SoundDeath" value="Animals/Snake/snakedeath"/>
	<property name="SoundRandom" value="Animals/Snake/snakeroam"/>
	<property name="SoundSense" value="Animals/Snake/snakesense"/>
	<property name="SoundAlert" value="Animals/Snake/snakealert"/>
	<property name="SoundAttack" value="Animals/Snake/snakeattack"/>
	<property name="RootMotion" value="true"/>
	<property name="HasDeathAnim" value="true"/>

	<property class="MechanimAttackTriggers">
		<property name="state0" value="AttackTrigger"/>
	</property>
	<property class="MechanimAttackStates">
		<property name="state0" value="attack"/>
	</property>
	<property class="MechanimDeathTriggers">
		<property name="state0" value="DeathTrigger"/>
	</property>

	<!-- Gameplay -->
	<property name="MaxTurnSpeed" value="100"/>
	<property name="MoveSpeed" value="0.15"/>
	<property name="MoveSpeedAggro" value=".18, .35"/>
	<property name="MoveSpeedPanic" value="0.27"/>
	<property name="SightRange" value="150"/>		

	<property name="HandItem" value="meleeHandAnimalAnaconda"/>
	<property name="AttackTimeoutDay" value="1.5"/>
	<property name="AttackTimeoutNight" value="1.1"/>

	<property name="ExperienceGain" value="1600"/>
	<property name="DeadBodyHitPoints" value="150"/>
	<drop event="Harvest" name="foodRawMeat" count="0" tool_category="Butcher"/>
	<drop event="Harvest" name="foodRawMeat" tag="butcherHarvest" count="80"/> <!-- animalSnake -->
	<drop event="Harvest" name="resourceLeather" tag="butcherHarvest" count="40"/>

	<effect_group name="Base Effects">
		<passive_effect name="HealthMax" operation="base_set" value="1300"/>
		<passive_effect name="HealthMax" operation="perc_add" value="0"/> <!-- Animal HP scale -->
	</effect_group>
</entity_class>

<entity_class name="animalZombieVultureFireBig" extends="animalZombieVultureRadiated">
	<property name="Tags" value="entity,animal,zombie,hostile,radiated"/>
	<property name="Radiated" value=""/>
	<property name="SizeScale" value="2.1"/>
	<property name="SightRange" value="180"/>	
	<property name="ReplaceMaterial0" value="particleeffects/models/materials/gibskull"/>		

	<property name="MoveSpeed" value=".8"/>
	<property name="MoveSpeedAggro" value="1.5, 1.6"/>
	<property name="MaxTurnSpeed" value="150"/>
	<property name="HandItem" value="meleeHandAnimalZombieVultureBig"/>	
	
	<property name="ExperienceGain" value="2000"/> <!-- XP grunt radiated -->
	<property name="DeadBodyHitPoints" value="350"/>
	<drop event="Harvest" name="foodRawMeat" count="0" tool_category="Butcher"/>
	<drop event="Harvest" name="foodRottingFlesh" tag="butcherHarvest" count="40"/> <!-- animalZombieVulture -->
	<drop event="Harvest" name="resourceFeather" tag="butcherHarvest" count="100"/>	

	<effect_group name="Base Effects">
		<passive_effect name="HealthMax" operation="base_set" value="1200"/>
		<passive_effect name="HealthMax" operation="perc_set" value="1"/> <!-- Zombie HP scale -->
		<passive_effect name="EntityDamage" operation="perc_add" value=".4"/> <!-- Feral damage -->
		<triggered_effect trigger="onOtherDamagedSelf" action="ModifyCVar" target="self" cvar="RadiatedRegenAmount" operation="set" value="4"/>
		<triggered_effect trigger="onOtherDamagedSelf" action="AddBuff" target="self" buff="buffRadiatedRegen"/>
	</effect_group>
</entity_class>

<entity_class name="zombieGunner" extends="zombieTemplateMale">
	<property name="Tags" value="entity,zombie,walker"/>
	<property name="Mesh" value="Zombies/zombieStandardBikerRagdoll"/>
	<property name="ReplaceMaterial0" value="shapes/materials/road_railing"/>	
	<property name="WalkType" value="7"/>
	<property name="Mass" value="180"/>		
	<property name="AITask-1" value="BreakBlock"/>
	<property name="AITask-2" value="RangedAttackTarget" param1="1,4,25"/><!-- type,cooldown,duration -->
	<property name="AITask-3" value="ApproachAndAttackTarget" param1="EntityPlayer"/>
	<property name="AITask-4" value="ApproachSpot"/>
	<property name="AITask-5" value="Look"/>
	<property name="AITask-6" value="Wander"/>
	<property name="AITask-7" value=""/><!-- Marks end, so we don't inheirit -->	

	<property name="PainResistPerHit" value="1"/>

	<property name="HandItem" value="meleehandZombieGunner"/>
	<property name="ExperienceGain" value="2000"/> <!-- XP strong -->	
	<effect_group name="Base Effects">	
		<passive_effect name="HealthMax" operation="base_set" value="1300"/>
		<passive_effect name="HealthMax" operation="perc_set" value="1"/> <!-- Zombie HP scale -->
	</effect_group>
</entity_class>

<entity_class name="zombieSilentDwight" extends="zombieTemplateMale">
	<property name="Tags" value="entity,zombie"/>
	<property name="Mesh" value="Zombies/zombieStandardFeralRagdoll"/> 	
	<property name="ReplaceMaterial1" value="entities/zombies/materials/feral_eye"/>	
	<property name="ReplaceMaterial0" value="particleeffects/models/materials/p_fiber"/>
	<property name="SizeScale" value="0.7"/>	
	<property name="SoundRandom" value=""/>
	<property name="SoundAlert" value=""/>
	<property name="SoundAttack" value=""/>
	<property name="SoundHurt" value=""/>
	<property name="SoundDeath" value=""/>
	<property name="SoundSense" value=""/>
	<property name="SoundFootstepModifier" value=""/>
	<property name="WalkType" value="2"/>	
	<property name="Mass" value="50"/>

	<property name="DismemberMultiplierHead" value=".33"/>
	<property name="DismemberMultiplierArms" value=".33"/>
	<property name="DismemberMultiplierLegs" value=".33"/>
	<property name="PainResistPerHit" value=".65"/>

	<!-- Gameplay -->
	<property name="MoveSpeed" value="0.4"/>
	<property name="MoveSpeedAggro" value="0.5, 1.0"/>	
	<property name="HandItem" value="meleeHandZombieFootballPlayer"/>
	<property name="JumpMaxDistance" value="8, 15"/>

	<property name="ExperienceGain" value="500"/> 
	<property name="LootDropProb" value=".03"/> 
	<property name="LootDropEntityClass" value="EntityLootContainerStrong"/>

	<effect_group name="Base Effects">
		<passive_effect name="DistractionResistance" operation="base_set" value="0,0"/>
		<passive_effect name="HealthMax" operation="base_set" value="300"/>
		<passive_effect name="HealthMax" operation="perc_set" value="1"/> 
		<passive_effect name="EntityDamage" operation="perc_add" value="0"/> 
	</effect_group>
</entity_class>

<entity_class name="zombieFireElf" extends="zombieTemplateMale">
	<property name="Tags" value="entity,zombie,walker"/>
	<property name="Mesh" value="Zombies/ZombieStandardBurntRagdoll"/>
	<property name="ReplaceMaterial0" value="particleeffects/models/materials/p_gib"/>
	<property name="WalkType" value="7"/>
	<property name="SizeScale" value="0.8"/>		
	<property name="Mass" value="50"/>	
	<property name="SizeScale" value="1.3"/>	
	<property name="AITask-1" value="BreakBlock"/>
	<property name="AITask-2" value="RangedAttackTarget" param1="1,4,12"/><!-- type,cooldown,duration -->
	<property name="AITask-3" value="ApproachAndAttackTarget" param1="EntityPlayer"/>
	<property name="AITask-4" value="ApproachSpot"/>
	<property name="AITask-5" value="Look"/>
	<property name="AITask-6" value="Wander"/>
	<property name="AITask-7" value=""/><!-- Marks end, so we don't inheirit -->	

	<property name="PainResistPerHit" value="1"/>

	<property name="HandItem" value="meleehandZombieElf"/>
	<property name="ExperienceGain" value="777"/> <!-- XP strong -->	
	<effect_group name="Base Effects">	
		<passive_effect name="HealthMax" operation="base_set" value="888"/>
		<passive_effect name="HealthMax" operation="perc_set" value="1"/> <!-- Zombie HP scale -->
	</effect_group>
</entity_class>

<entity_class name="zombieAquaZed" extends="zombieTemplateMale">  
	<property name="Tags" value="entity,zombie,walker"/>
	<property name="Mesh" value="Zombies/zombieStandardStripperRagdoll"/>
	<property name="AvatarController" value="AvatarZombie01Controller"/>
	<property name="ModelType" value="Standard"/>	
	<property name="ReplaceMaterial0" value="materials/waterinbucket"/>
	<property name="SizeScale" value="0.9"/>	
	<property name="WalkType" value="7"/>
	<property name="Mass" value="40"/>
	<property name="Weight" value="20"/>
	<property name="PushFactor" value="20"/>	
	<property name="AITask-1" value="BreakBlock"/>
	<property name="AITask-2" value="RangedAttackTarget" param1="1,4,6"/><!-- type,cooldown,duration -->
	<property name="AITask-3" value="ApproachAndAttackTarget" param1="EntityPlayer"/>
	<property name="AITask-4" value="ApproachSpot"/>
	<property name="AITask-5" value="Look"/>
	<property name="AITask-6" value="Wander"/>
	<property name="AITask-7" value=""/><!-- Marks end, so we don't inheirit -->	
	<property name="RootMotion" value="true"/>
	<property name="HasDeathAnim" value="true"/>
	<property name="TintMaterial2" value="41,38,34"/>
	<property name="SoundRandom" value="Enemies/Base_Zombie_Female/zombiefemaleroam"/>
	<property name="SoundAlert" value="Enemies/Base_Zombie_Female/zombiefemalealert"/>
	<property name="SoundSense" value="Enemies/Base_Zombie_Male2/zombiemale2sense"/>
	<property name="SoundHurt" value="Player_Female/player2painlg"/>
	<property name="SoundDeath" value="Player_Female/player2death"/>
	<property name="SoundAttack" value="Enemies/Base_Zombie_Female/zombiefemaleattack"/>

	<!-- Gameplay -->
	<property name="HandItem" value="meleehandZombieAqua" />	
	<property name="JumpMaxDistance" value="1.4, 4"/>
	<property name="ExperienceGain" value="700"/> <!-- XP strong -->

	<effect_group name="Base Effects">
		<passive_effect name="HealthMax" operation="base_set" value="390"/>
		<passive_effect name="HealthMax" operation="perc_set" value="1"/> <!-- Zombie HP scale -->
	</effect_group>
</entity_class>	
</append>

<set xpath="/entity_classes/entity_class[@name='zombieTemplateMale']/property[@name='SightRange']/@value">130</set>
<set xpath="/entity_classes/entity_class[@name='zombieTemplateMale']/property[@name='SleeperWakeupSightDetectionMin']/@value">-40,5</set>
<set xpath="/entity_classes/entity_class[@name='zombieTemplateMale']/property[@name='SleeperWakeupSightDetectionMax']/@value">-0,55</set>
<set xpath="/entity_classes/entity_class[@name='zombieTemplateMale']/property[@name='SleeperSenseSightDetectionMin']/@value">-15,10</set>
<set xpath="/entity_classes/entity_class[@name='zombieTemplateMale']/property[@name='SleeperSenseSightDetectionMin']/@value">99,100</set>
</configs>